<nodehandler class="flexinode" enabled="1" icon="book" module="flexi" name="Level 4 (2)" version="1.0">
  <action></action>
  <expression variable="remaining_4">2</expression>
  <expression variable="name">&quot;Level 4 ([remaining_4])&quot;</expression>
  <expression variable="update4">&quot;[__name = name]&quot;</expression>
  <nodehandler class="flexinode" enabled="1" icon="gear" module="flexi" name="Air Walk" version="1.0">
    <action>:[if remaining_4 &gt; 0 then &quot;&lt;b&gt;Air Walk: Level 4 - &lt;/b&gt;The subject can tread on air as if walking on solid ground.; Duration: [(level*10)] minutes.[#remaining_4 = remaining_4 - 1][#update4]&quot; else &quot;&quot;]</action>
    <reset></reset>
  </nodehandler>
  <nodehandler class="flexinode" enabled="1" icon="gear" module="flexi" name="Blessing of Fervour" version="1.0">
    <action>:[if remaining_4 &gt; 0 then &quot;&lt;b&gt;Blessing of Fervour: Level 4 - &lt;/b&gt;You grant a boon to up to [level] creatures, no two of which can be more than 30 feet apart.  (Range: [(25+5*level/2)] feet; Duration: [(level)] rounds).&lt;br /&gt;Each round, recipients can choose:&lt;br /&gt; &lt;ul&gt;
&lt;li&gt;Increase its speed by 30 feet.&lt;/li&gt; 
&lt;li&gt;Stand up as a swift action without provoking an attack of opportunity.&lt;/li&gt; 
&lt;li&gt;Make one extra attack as part of a full attack action, using its highest base attack bonus.&lt;/li&gt; 
&lt;li&gt;Gain a +2 bonus on attack rolls and a +2 dodge bonus to AC and Reflex saves.&lt;/li&gt; 
&lt;li&gt;Cast a single spell of 2nd level or lower as if it were an enlarged, extended, silent, or still spell.&lt;/li&gt; &lt;/ul&gt;
[#remaining_4 = remaining_4 - 1][#update4]&quot; else &quot;&quot;]</action>
    <reset></reset>
  </nodehandler>
  <nodehandler class="flexinode" enabled="1" icon="gear" module="flexi" name="Cure Critical Wounds" version="1.0">
    <action>:[if remaining_4 &gt; 0 then &quot;&lt;b&gt;Cure Critical Wounds: Level 4 - &lt;/b&gt;Heals &lt;font color ='blue'&gt;[4d8 + level]&lt;/font&gt; HP[#remaining_4 = remaining_4 - 1][#update4]&quot; else &quot;&quot;]</action>
    <reset></reset>
  </nodehandler>
  <nodehandler class="flexinode" enabled="1" icon="gear" module="flexi" name="Divination" version="1.0">
    <action>:[if remaining_4 &gt; 0 then &quot;&lt;b&gt;Divination: Level 4 - &lt;/b&gt;Provides a useful piece of advice in reply to a question concerning a specific goal, event, or activity that is to occur within 1 week. The advice granted by the spell can be as simple as a short phrase, or it might take the form of a cryptic rhyme or omen. (Pass chance = [(70+level)]%: [1d100])[#remaining_4 = remaining_4 - 1][#update4]&quot; else &quot;&quot;]</action>
    <reset></reset>
  </nodehandler>
  <nodehandler class="flexinode" enabled="1" icon="gear" module="flexi" name="Freedom of Movement" version="1.0">
    <action>:[if remaining_4 &gt; 0 then &quot;&lt;b&gt;Freedom of Movement *: Level 4 - &lt;/b&gt;You or a creature you touch  move and attack normally for the duration of the spell (works vs. grapple, web etc.; Duration: [(level*10)] minutes).[#remaining_4 = remaining_4 - 1][#update4]&quot; else &quot;&quot;]</action>
    <reset></reset>
  </nodehandler>
  <nodehandler class="flexinode" enabled="1" icon="gear" module="flexi" name="Restoration" version="1.0">
    <action>:[if remaining_4 &gt; 0 then &quot;&lt;b&gt;Restoration: Level 4 - &lt;/b&gt;Cures &lt;b&gt;[1d4]&lt;/b&gt; points of ability damage and also dispels temporary negative levels or one permanent negative level[#remaining_4 = remaining_4 - 1][#update4]&quot; else &quot;&quot;]</action>
    <reset></reset>
  </nodehandler>
  <reset>:[#remaining_4 = level4_max][#update4]</reset>
</nodehandler>
